#!/usr/bin/env python
# -*- coding: utf-8 -*- 

from gimpfu import *

def python_fu_image_crosguides(image, drawable):

	lw = pdb.gimp_image_width(image)
	lh = pdb.gimp_image_height(image)
	width = lw/2
	height = lh/2
	pdb.gimp_image_add_vguide(image,width)	
	pdb.gimp_image_add_hguide(image,height)
	
register(
        "python_fu_image_crosguides",
        "Guides by center of image",
        "Guides by center of image",
        "MrQ",
        "GPL",
        "2019",
        "<Image>/Image/Guides/Center of image",
        "", 
        [],
        [],
        python_fu_image_crosguides,

        )
		
def python_fu_layer_crosguides(image, drawable):

	offset_x, offset_y = pdb.gimp_drawable_offsets(drawable)
	lw = pdb.gimp_drawable_width(drawable)
	lh = pdb.gimp_drawable_height(drawable)
	width = lw/2 + offset_x
	height = lh/2 + offset_y
	pdb.gimp_image_add_vguide(image,width)	
	pdb.gimp_image_add_hguide(image,height)
	
register(
        "python_fu_layer_crosguides",
        "Guides by center of layer",
        "Guides by center of layer",
        "MrQ",
        "GPL",
        "2019",
        "<Image>/Image/Guides/Center of layer",
        "", 
        [],
        [],
        python_fu_layer_crosguides,
        )

def python_fu_selection_crosguides(image, drawable):
	selection = pdb.gimp_selection_bounds(image)
	x1 = selection[1];
	y1 = selection[2];
	x2 = selection[3];
	y2 = selection[4];

	offset_x, offset_y = pdb.gimp_drawable_offsets(drawable)
	width = (x2-x1)/2 + x1
	height = (y2-y1)/2 + y1
	pdb.gimp_image_add_vguide(image,width)	
	pdb.gimp_image_add_hguide(image,height)
	
register(
        "python_fu_selection_crosguides",
        "Guides by center of selection",
        "Guides by center of selection",
        "MrQ",
        "GPL",
        "2019",
        "<Image>/Image/Guides/Center of selection",
        "", 
        [],
        [],
        python_fu_selection_crosguides,
        )

main()